<?php
/*-------------------------------------------------------+
| PHP-Fusion 6 Content Management System
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: smileys.php
| CVS Version: 1.00
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/smileys.php";

if (!checkrights("SM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) fallback("../index.php");

if (isset($_GET['status'])) {
	if ($_GET['status'] == "smu") {
		$title = $locale['400'];
		$message = "<b>".$locale['401']."</b>";
	} elseif ($_GET['status'] == "smn") {
		$title = $locale['402'];
		$message = "<b>".$locale['403']."</b>";
	} elseif ($_GET['status'] == "del") {
		$title = $locale['404'];
		$message = "<b>".$locale['405']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($_POST['save_smiley'])) {
	if (QUOTES_GPC) $_POST['smiley_code'] = stripslashes($_POST['smiley_code']);
	$smiley_code = str_replace(array("\"", "'", "\\", '\"', "\'", "<", ">"), "", $_POST['smiley_code']);
	$smiley_image = stripinput($_POST['smiley_image']);
	$smiley_text = stripinput($_POST['smiley_text']);
	if (isset($_GET['smiley_id']) && isNum($_GET['smiley_id'])) {
		$result = dbquery("UPDATE ".$db_prefix."smileys SET smiley_code='$smiley_code', smiley_image='$smiley_image', smiley_text='$smiley_text' WHERE smiley_id='".$_GET['smiley_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=smu");
	} else {
		$result = dbquery("INSERT INTO ".$db_prefix."smileys (smiley_code, smiley_image, smiley_text) VALUES ('$smiley_code', '$smiley_image', '$smiley_text')");
		redirect(FUSION_SELF.$aidlink."&status=smn");
	}
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['smiley_id']) && isNum($_GET['smiley_id']))) {
	$result = dbquery("DELETE FROM ".$db_prefix."smileys WHERE smiley_id='".$_GET['smiley_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['smiley_id'])&& isNum($_GET['smiley_id']))) {
	$result = dbquery("SELECT * FROM ".DB_PREFIX."smileys WHERE smiley_id='".$_GET['smiley_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$smiley_code = $data['smiley_code'];
		$smiley_image = $data['smiley_image'];
		$smiley_text = $data['smiley_text'];
		$form_action = FUSION_SELF.$aidlink."&amp;smiley_id=".$data['smiley_id'];
		$form_title = $locale['410'];
	} else {
		fallback(FUSION_SELF.$aidlink);
	}
} else {
	$smiley_code = "";
	$smiley_image = "";
	$smiley_text = "";
	$form_action = FUSION_SELF.$aidlink;
	$form_title = $locale['411'];
}
opentable($form_title);
$image_files = makefilelist(IMAGES."smiley/", ".|..|index.php", true);
$image_list = makefileopts($image_files, $smiley_image);
echo "<form name='smiley_form' method='post' action='".$form_action."'>\n";
echo "<table align='center' cellpadding='0' cellspacing='0'>\n";
echo "<tr>\n<td class='tbl'>".$locale['412']."</td>\n";
echo "<td class='tbl'><input type='text' name='smiley_code' value='".$smiley_code."' style='width: 100px;' class='textbox'></td>\n</tr>\n";
echo "<tr>\n<td class='tbl'>".$locale['413']."</td>\n";
echo "<td class='tbl'><select name='smiley_image' class='textbox'>$image_list</select></td>\n</tr>\n";
echo "<tr>\n<td class='tbl'>".$locale['414']."</td>\n";
echo "<td class='tbl'><input type='text' name='smiley_text' value='".$smiley_text."' style='width: 100px;' class='textbox'></td>\n</tr>\n";
echo "<tr>\n<td align='center' colspan='2' class='tbl'><br><input type='submit' name='save_smiley' value='".$locale['415']."' class='button'></td>\n</tr>\n";
echo "</table></form>\n";
closetable();

opentable($locale['420']);
$result = dbquery("SELECT * FROM ".$db_prefix."smileys");
if (dbrows($result)) {
	echo "<table align='center' cellpadding='0' cellspacing='1' width='450' class='tbl-border'>\n";
	echo "<tr>\n<td class='tbl2'><b>".$locale['421']."</b></td>\n";
	echo "<td class='tbl2'><b>".$locale['422']."</b></td>\n";
	echo "<td class='tbl2'><b>".$locale['423']."</b></td>\n";
	echo "<td class='tbl2' width='1%' style='white-space:nowrap'><b>".$locale['424']."</b></td>\n</tr>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n<td class='tbl1'>".$data['smiley_code']."</td>\n";
		echo "<td class='tbl1'><img src='".IMAGES."smiley/".$data['smiley_image']."' alt='".$data['smiley_text']."'></td>\n";
		echo "<td class='tbl1'>".$data['smiley_text']."</td>\n";
		echo "<td class='tbl1' width='1%' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;smiley_id=".$data['smiley_id']."'>".$locale['425']."</a> -\n";
		echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;smiley_id=".$data['smiley_id']."'>".$locale['426']."</a></td>\n</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['427']."<br><br>\n</center>\n";
}
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>