<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Shoutbox 5.00 - Modded by Shedrock/Xandra 2007
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once INFUSIONS."shoutbox_panel/parser.php";

if (file_exists(INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."shoutbox_panel/locale/English.php";
}

$rows_per_page = 20; // Number of shouts to display per page
$textcolor = "#244A60";	// sets miscellaneous text in the boxover tips.

$action = isset($action) ? stripinput($action) : "";
$shout_user = isset($shout_user) && isNum($shout_user) ? $shout_user : 0;

switch($action) {

	case "delete":
		if (isNum($shout_id) && checkrights("S") && $aid == iAUTH) {
			$result = dbquery("DELETE FROM ".$db_prefix."shoutbox WHERE shout_id='$shout_id'");
		}
		redirect(FUSION_SELF);
		break;

	case "ban":
		$aid = stripinput($aid);
		if (!empty($shout_user) && $shout_user != 1 && checkrights("S") && $aid == iAUTH) {
			$result = dbquery("UPDATE ".$db_prefix."users SET user_status='1'
				WHERE user_id='$shout_user' AND user_id!='".$userdata['user_id']."' AND user_level!='103'"
			);
		}
		redirect(FUSION_SELF);
		break;

	case "unban":
		$aid = stripinput($aid);
		if (!empty($shout_user) && $shout_user != 1 && checkrights("S") && $aid == iAUTH) {
			$result = dbquery("UPDATE ".$db_prefix."users SET user_status='0' WHERE user_id='$shout_user'");
		}
		redirect(FUSION_SELF);
		break;
}

opentable($locale['126']);

if (!empty($shout_user)) {
	$rows = dbcount("(shout_id)", "shoutbox", "shout_name='$shout_user'");
	$condition = "WHERE shout_name='$shout_user' ";
} else {
	$rows = dbcount("(shout_id)", "shoutbox");
	$condition = "";
}
$rowstart = isset($_GET['rowstart']) && isNum($_GET['rowstart']) ? $_GET['rowstart'] : 0;
if ($rows != 0) {
	$i = 0;
	$result = dbquery("SELECT * FROM ".$db_prefix."shoutbox LEFT JOIN ".$db_prefix."users
		ON ".$db_prefix."shoutbox.shout_name=".$db_prefix."users.user_id $condition
		ORDER BY shout_datestamp DESC LIMIT $rowstart, $rows_per_page"
	);
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n<td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'><span class='comment-name'>";

/*******************************************************************
* Modded for user ban display names, send private message and member homepage.
*******************************************************************/

		if (iMEMBER) {
			if ($data['user_id'] == $userdata['user_id']) {
				echo "<img alt='' src='".THEME."images/bullet.gif'> ";
			} elseif ($data['user_status'] != 1) {
				if (!isset($data['user_id'])) { echo "<img alt='' src='".THEME."images/bullet.gif'> "; }
				elseif ($data['user_id'] != $userdata['user_id']) {
					echo "<a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'><img src='".INFUSIONS."shoutbox_panel/images/pm.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_007']."] body=[".phpentities($locale['fb_035'])."] delay=[0] fade=[on]\" alt='' border='0'></a> ";
					if ($data['user_web']) {
						if (!strstr($data['user_web'], "http://")) { $urlprefix = "http://"; } else { $urlprefix = ""; }
						echo "<a href='".$urlprefix."".$data['user_web']."' target='_blank'><img alt='' src='".INFUSIONS."shoutbox_panel/images/w3.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_013']."] body=[".phpentities($locale['fb_037'])."] delay=[0] fade=[on]\" border='0'></a> ";
					}
				}
			} elseif ($data['user_status'] == 1) {
				echo "<img alt='' style='vertical-align:middle;' src='".INFUSIONS."shoutbox_panel/images/banned.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_012']."] body=[".phpentities($locale['fb_038'])."] delay=[0] fade=[on]\">";
			}
		} else {
			if ($data['user_status'] == 1) {
				echo "<img alt='' style='vertical-align:middle;' src='".INFUSIONS."shoutbox_panel/images/banned.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_012']."] body=[".phpentities($locale['fb_038'])."] delay=[0] fade=[on]\">";
			} else { echo "<img alt='' src='".THEME."images/bullet.gif'> "; }
		}

/*******************************************************************
* End ban display names.
*******************************************************************/

/*******************************************************************
* Modded for colored names.
*******************************************************************/

		$shoutcount = dbcount("(shout_id)", "shoutbox", "shout_name='".$data['user_id']."'");
		if ($data['user_level'] == "103") { $userx = "<font color='#F75013'><b>".$data['user_name']."</b></font>"; }
		elseif ($data['user_level'] == "102") { $userx = "<font color='#008000'><b>".$data['user_name']."</b></font>"; }
		elseif ($data['user_level'] == "101") { $userx = "<font color='#3333CC'><b>".$data['user_name']."</b></font>"; }
		if ($data['user_status'] == 1) { $userx = "<font color='#A38C54'><b>".$data['user_name']."</b></font>"; }

/*******************************************************************
* End color mod.
*******************************************************************/

		$lastseen = time() - $data['user_lastvisit'];
		if ($lastseen < 60) {
			$lastseen = "<img src='".INFUSIONS."shoutbox_panel/images/online.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_014']."] body=[<font color='red'><b>".phpentities($data['user_name']."</b></font>, ".$locale['fb_040'])."] delay=[0] fade=[on]\" alt='' style='vertical-align: middle;'>";
		} else {
			$lastseen = "<img src='".INFUSIONS."shoutbox_panel/images/offline.png' title=\"header=[<img src='".INFUSIONS."shoutbox_panel/images/info.gif' style='vertical-align: middle;'> ".$locale['fb_015']."] body=[<font color='red'><b>".phpentities($data['user_name']."</b></font>, ".$locale['fb_041'])."] delay=[0] fade=[on]\" alt='' style='vertical-align: middle;'>";
		}
		if ($data['user_status'] == 1) {
			echo "<span style='cursor:default; text-decoration: none;' title=\"header=[".$data['user_name']." - <font color='red'>".$locale['fb_033']."</font>] body=[".rawurlencode("<center><img src='".INFUSIONS."shoutbox_panel/images/banned.gif'></center></span><br><br>
<font color='$textcolor'><b>".$locale['fb_025']."</b>".$data['user_name']." - <b><font color='red'><i>".$locale['fb_026']."</i></b></font><br><br>
<font color='$textcolor'><b>".$locale['fb_027']."</b>".$locale['fb_028']."<br><br>
<b>".$locale['fb_029']."</b>".showdate("shortdate", $data['user_joined'])."<br><br>
<b>".$locale['fb_030']."</b>".showdate("shortdate", $data['user_lastvisit'])."<br><br>
<b>".$locale['fb_031']."</b>$shoutcount ".$locale['fb_032']."")."] delay=[0] fade=[on]\">
<a href='".INFUSIONS."shoutbox_panel/banned.php?shout_user=".$data['shout_name']."' onClick=\"MyWindow=window.open('".INFUSIONS."shoutbox_panel/banned.php?shout_user=".$data['shout_name']."','shoutbox','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=240,height=250'); return false;\" class='side'>$userx</a>
</span> - <font color='red'>".$locale['fb_022']."</font>";
		} else {
			if ($data['user_name']) {
				if ($data['user_avatar'] != "") { $avatar = "<img src='".IMAGES."avatars/".$data['user_avatar']."'>"; }
				else { $avatar = "<img src='".IMAGES."noimage.gif'>"; }
				echo "<span style='cursor:default; text-decoration: none;' title=\"header=[".$data['user_name']."] body=[".rawurlencode("<center>$avatar</center></span><br><br>
<span class='$textcolor'><b>".$locale['fb_025']."</b>$userx<br><br>
<b>".$locale['fb_027']."</b>".getuserlevel($data['user_level'])."<br><br>
<b>".$locale['fb_029']."</b>".showdate("shortdate", $data['user_joined'])."<br><br>
<b>".$locale['fb_030']."</b>".showdate("shortdate", $data['user_lastvisit'])." <br><br>
<b>".$locale['fb_031']."</b>$shoutcount ".$locale['fb_032']."")."] delay=[0] fade=[on]\">
<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='side'>$userx</a>
</span>&nbsp;$lastseen";
			} else { echo "<span class='small'>".$data['shout_name']."</span>\n"; }
		}
		echo "</span><br>
<span class='small'>".$locale['fb_042'].showdate("longdate", $data['shout_datestamp'])."</span>\n";
		if (iADMIN && checkrights("S")) {
			echo "&nbsp;[<a href='".ADMIN."shoutbox.php".$aidlink."&amp;action=edit&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['048']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;shout_id=".$data['shout_id']."' class='side'>".$locale['fb_043']."</a>] ";
			if ($data['user_status'] == "1") {
				echo "[<a href='".FUSION_SELF.$aidlink."&amp;action=unban&amp;shout_user=".$data['user_id']."' class='side'>".$locale['fb_009']."</a>]";
			} elseif ($data['user_status'] == "0" && $data['user_level'] != "103" && $data['user_id'] != $userdata['user_id']) {
echo "[<a href='".FUSION_SELF.$aidlink."&amp;action=ban&amp;shout_user=".$data['user_id']."' class='side'>".$locale['fb_010']."</a>]";
			}
		}
		echo "<br><span class='shoutbox'>".str_replace("<br>", "", parseshoutubb(parseubb(parsesmileys($data['shout_message']))))."</span><br>
</td>
</tr>\n";
		$i ++;
	}
	echo "</table>\n";
} else { echo "<div align='left'>".$locale['127']."</div>\n"; }

closetable();

echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart, $rows_per_page, $rows, 3, FUSION_SELF."?".($shout_user != 0 ? "shout_user=$shout_user&" : ""))."\n</div>\n";

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";

?>